/// <reference types="react" />
import React from 'react';
import { StyledComponentClass } from 'wrappers/styled-components';
import { ThemeInterface } from 'themes/theme';
import { MarginHelpers } from 'styles/positioning';
import { ButtonStylesProps } from 'components/Button/buttonStyles';
export declare type ButtonType = 'button' | 'a' | 'span' | React.ComponentType;
export declare type ChildrenType = string | JSX.Element[] | JSX.Element;
export interface ButtonProps extends MarginHelpers, ButtonStylesProps {
    as?: ButtonType;
    [propName: string]: any;
}
declare const StyledButton: StyledComponentClass<ButtonProps, ThemeInterface, Pick<ButtonProps, never> & {
    theme?: ThemeInterface | undefined;
}>;
export default StyledButton;
